ad_page_contract {

    Get an html string of users belonging to the current subsite and 
	where either name or e-mail matches $search string. Used in Ajax Requests for Smart Search.
 
    @author Ryan Gallimore (rgallimore@viscousmedia.com)
    @creation-date 2006-09-23

} {
  {search ""}
}

#ns_log notice "private-messaging search='$search'"

if { [string length $search] == 0 } {
   ns_write "No results."
   ad_script_abort
} elseif { [string length $search] < 3 } {
   # Show all results if search string is 1 or two characters.
   set search ""
}

set search [string tolower $search]

set package_id [ad_conn subsite_id]

set response ""

# Get users in the current subsite only

db_foreach get_search_results "

    select distinct u.username,
	       p.first_names || ' ' || p.last_name as name,
		   u.username as email
	from   persons p,
	       users u,
		   acs_rels rel,
		   application_groups ag
	where  p.person_id = u.user_id
	and    u.user_id = rel.object_id_two
	and    rel.object_id_one = ag.group_id
	and    ag.package_id = :package_id
	and    (lower(p.first_names || ' ' || p.last_name) like '%$search%'
	or     lower(u.username) like '%$search%')
	order  by name

" {

    set one_result "$name ($email)"

    # Bold search text as you type
	set start [string first $search [string tolower $one_result]]
	set end [expr $start + [string length $search]]
	set one_result_bolded "[string range $one_result 0 [expr $start-1]]<b>[string range $one_result [expr $start] $end]</b>[string range $one_result [expr $end+1] [expr [string length $one_result] - 1]]" 
	
    append response "<a href=\"#\">$one_result_bolded</a><br>"

} if_no_rows { 
    set response "No results." 
}	   

ns_write $response

ad_script_abort

